﻿using System;
using System.Collections.Generic;
using System.Text;

namespace XnaDevRu.Assets
{
	public interface IAssetImporter
	{
		/// <summary>
		/// Loads asset from custorm data format
		/// </summary>
		/// <typeparam name="T"></typeparam>
        /// <param name="assetSource"></param>
		/// <returns></returns>
		T Load<T>(AssetFile assetSource) where T : Asset, new();

		void ResetImporter();

		string FileExtension { get; }

		bool HasParentImporter { get; }

		AssetLibrary Library { get; set; }

	}
}
