using System;
using System.Collections.Generic;

namespace XnaDevRu.Engine.Threading
{
    class Thread : List<TickDelegate>, IThread
    {
        public Thread()
        {
            active = true;
        }

        bool active;
        public bool Active
        {
            get { return active; }
        }

        public void Tick()
        {
            if (active)
            {
                foreach (TickDelegate tick in this)
                    tick();
            }
        }
        
        public void Dispose()
        {
            Clear();
        }
    }
}
